Auth
Endpoints
- GETGet current Mem0 configuration
- GETList bundled LLM and embedder providers
- POSTConfigure Mem0
- POSTGenerate custom instructions from a use case
- POSTCreate memories
- GETGet memories
- GETGet a memory
- POSTSearch memories
- PUTUpdate a memory
- GETGet memory history
- DELETEDelete a memory
- DELETEDelete all memories
- POSTReset all memories
Requests
Delete all memories for a given identifier. Requires admin role.
Last updated Oct 11, 2026
DELETE
/memoriesParameters
user_idstringrun_idstringagent_idstringResponses
200Successful Response
application/jsonTry It
DELETE
/memoriesDelete all memories
curl --request DELETE \
--url '/memories' \
--header 'Authorization: Bearer <token>'Was this page helpful?